module Tungsten
  module IconHelper
    def status_icon (status, options={})
      options[:height] ||= '1em'
      span_options = {}

      span_options['aria-label'] = status.titlecase
      span_options[:class] = 'status-icon inline-icon has-tooltip'
      options[:desc] ||= status

      content_tag :span, span_options do
        use_svg "status-#{status}", options
      end
    end
  end
end
